Skip to main content
GET
List account products

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

end_date
string<date>

Date range filtering for type INTEREST. All rates in interest resource have to have valid_to earlier or equal to end_date.

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

product_type
enum<string>
required

Type of account product

Available options:
FEE,
INTEREST
id
string

ID of account product. Multiple IDs can be provided as a comma-separated list.

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

start_date
string<date>

Date range filtering for type INTEREST. All rates in interest resource have to have valid_from later or equal to start_date.

Response

200 - application/json

List of account products

account_products
object[]
required

Array of account products

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"